Skip to content

Provisioning API (1.2.55)

Download OpenAPI description
Languages
Servers
Production server
https://provisioning.api.sinch.com
Staging server from master branch
https://provisioning-api.int.staging.sinch.com
Staging server from dev branch
https://provisioning-api-dev.int.staging.sinch.com
Internal production server for admin authorization
https://provisioning-api.unauth.int.prod.sinch.com
Internal staging server from master branch for admin authorization
https://provisioning-api.unauth.int.staging.sinch.com
Internal staging server from dev branch for admin authorization
https://provisioning-api-dev.unauth.int.staging.sinch.com

Webhooks

Webhooks allow the Sinch servers to communicate with your server backend. The webhooks endpoint lets you create, update, and delete webhooks programmatically.

Operations

WhatsApp Accounts

The WhatsApp accounts endpoint lets you create and update WhatsApp accounts as well as get account activity and leave comments.

Operations

WhatsApp

The WhatsApp endpoint enables programmatic login to your WhatsApp account and retrieval of its details.

Operations

WhatsApp Flows

The WhatsApp flows endpoint lets you retrieve and manage WhatsApp Flows associated with the project.

Operations

WhatsApp Senders

A WhatsApp Sender is also referred to as a 'Business Profile' or a WhatsApp channel. The WhatsApp Sender endpoint allows you to create a Sender through Meta's Embedded sign up. A Sender must be provisioned for you as a consumer of the WhatsApp API to send messages to your end users.

Operations

WhatsApp Solutions

The WhatsApp solutions endpoint offers a way for you to manage your WhatsApp solutions.

Operations

WhatsApp Templates

The WhatsApp template endpoint offers a way for you to manage your WhatsApp templates that can be used with the Conversation API. The WhatsApp templates are a requirement to send the initial outbound messages in the WhatsApp API.

Operations

Bundles

The bundles endpoint allows you to create and manage bundles of account resources.

Operations

KakaoTalk Categories

The KakaoTalk categories endpoint offers a way for you to manage all of the KakaoTalk template categories that you can use with the Conversation API.

Operations

KakaoTalk Senders

The KakaoTalk sender endpoint offers a way for you to manage your KakaoTalk senders that can be used with the Conversation API.

Operations

KakaoTalk Templates

The KakaoTalk template endpoint offers a way for you to manage your KakaoTalk templates that can be used with the Conversation API.

Operations

Conversation

The Conversation endpoints allows you to retrieve information about channels used with Conversation API.

Operations

RCS Accounts

Operations

RCS Questionnaire

Operations

RCS Senders

Operations

Get test number capabilities of sender for projectGA

Request

Returns test number capabilities of sender for a project.

Security
BasicAuth and BearerAuth and OAuth2Staging and OAuth2Production and OAuth2StagingAdmin and OAuth2ProductionAdmin
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

senderIdstringrequired

The unique ID of the sender.

testNumberstringrequired

the user's phone number in E.164 format. For example, for a user with the US phone number +1-222-333-4444, the resulting parameter is '+12223334444'.

curl -i -X GET \
  -u <username>:<password> \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/rcs/senders/{senderId}/testNumbers/{testNumber}/capabilities' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

test number capabilities

Bodyapplication/json
featuresArray of strings(RcsTestNumberFeatures)required

List of RBM features that this device supports.

Items Enum"ACTION_COMPOSE""ACTION_CREATE_CALENDAR_EVENT""ACTION_DIAL""ACTION_OPEN_URL""ACTION_OPEN_URL_IN_WEBVIEW""ACTION_SHARE_LOCATION""ACTION_VIEW_LOCATION""REVOCATION""RICHCARD_CAROUSEL""RICHCARD_STANDALONE"
Response
application/json
{ "features": [ "REVOCATION", "ACTION_DIAL" ] }

Resend an invite to test number of sender for projectGA

Request

Resend an invite and returns state for test number of sender for a project.

Security
BasicAuth and BearerAuth and OAuth2Staging and OAuth2Production and OAuth2StagingAdmin and OAuth2ProductionAdmin
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

senderIdstringrequired

The unique ID of the sender.

testNumberstringrequired

the user's phone number in E.164 format. For example, for a user with the US phone number +1-222-333-4444, the resulting parameter is '+12223334444'.

curl -i -X GET \
  -u <username>:<password> \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/rcs/senders/{senderId}/testNumbers/{testNumber}/retry' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

test number state

Bodyapplication/json
numberstring(e.164 phone number)required

Test phone number.

statestringrequired

Test phone state.

Enum"DECLINED""INVALID""PENDING""REJECTED""UNVERIFIED""VERIFIED""UNRECOGNIZED"
submittedstringrequired

Date of submitting phone number.

Response
application/json
{ "number": "+46123123111", "state": "UNVERIFIED", "submitted": "2023-01-19t13:11:08.204Z" }